org.apache.flume.sink

## Class DefaultSinkProcessor

- java.lang.Object
- - org.apache.flume.sink.DefaultSinkProcessor

- All Implemented Interfaces:
    Configurable, ConfigurableComponent, LifecycleAware, SinkProcessor

      public class DefaultSinkProcessor
      extends Object
      implements SinkProcessor, ConfigurableComponent

  Default sink processor that only accepts a single sink, passing on process results without any additional handling. Suitable for all sinks that aren't assigned to a group.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultSinkProcessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(ComponentConfiguration conf)`
    `void` | `configure(Context context)` Request the implementing class to (re)configure itself.
    `LifecycleState` | `getLifecycleState()` Return the current state of the service or component.
    `Sink.Status` | `process()` Handle a request to poll the owned sinks.
    `void` | `setSinks(List<Sink> sinks)` Set all sinks to work with.
    `void` | `start()` Starts a service or component.
    `void` | `stop()` Stops a service or component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultSinkProcessor

          public DefaultSinkProcessor()

  - ### Method Detail

    - #### start

          public void start()

      Description copied from interface: `LifecycleAware`

      Starts a service or component.

      Implementations should determine the result of any start logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `start` in interface `LifecycleAware`

    - #### stop

          public void stop()

      Description copied from interface: `LifecycleAware`

      Stops a service or component.

      Implementations should determine the result of any stop logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `stop` in interface `LifecycleAware`

    - #### getLifecycleState

          public LifecycleState getLifecycleState()

      Description copied from interface: `LifecycleAware`

      Return the current state of the service or component.

      Specified by:
        `getLifecycleState` in interface `LifecycleAware`

    - #### configure

          public void configure(Context context)

      Description copied from interface: `Configurable`

      Request the implementing class to (re)configure itself.

      When configuration parameters are changed, they must be reflected by the component asap.

      There are no thread safety guarantees on when configure might be called.

      Specified by:
        `configure` in interface `Configurable`

    - #### process

          public Sink.Status process()
                              throws EventDeliveryException

      Description copied from interface: `SinkProcessor`

      Handle a request to poll the owned sinks.

      The processor is expected to call Sink.process() on whatever sink(s) appropriate, handling failures as appropriate and throwing `EventDeliveryException` when there is a failure to deliver any events according to the delivery policy defined by the sink processor implementation. See specific implementations of this interface for delivery behavior and policies.

      Specified by:
        `process` in interface `SinkProcessor`
      Returns:
        Returns `READY` if events were successfully consumed, or `BACKOFF` if no events were available in the channel to consume.
      Throws:
        `EventDeliveryException` - if the behavior guaranteed by the processor couldn't be carried out.

    - #### setSinks

          public void setSinks(List<Sink> sinks)

      Description copied from interface: `SinkProcessor`

      Set all sinks to work with.

      Sink specific parameters are passed to the processor via configure

      Specified by:
        `setSinks` in interface `SinkProcessor`
      Parameters:
        `sinks` - A non-null, non-empty list of sinks to be chosen from by the processor

    - #### configure

          public void configure(ComponentConfiguration conf)

      Specified by:
        `configure` in interface `ConfigurableComponent`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.